<?php
/**
 * @package     Joomla.Plugin
 * @subpackage  System.JLFinder
 *
 * @copyright   Copyright (C) 2018 Hannes Papenberg. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

/**
 * Joomlager Finder Plugin.
 *
 * @since  1.0
 */
class PlgSystemJLFinder extends JPlugin
{
	public function onAfterInitialise()
	{
		JLoader::register('FinderModelSearch', dirname(__FILE__) . '/site/models/search.php');
		JLoader::register('FinderIndexer', dirname(__FILE__) . '/admin/helpers/indexer/indexer.php');
		JLoader::register('FinderModelIndex', dirname(__FILE__) . '/admin/models/index.php');

		JLoader::register('Joomlager\\Finder\\Language\\LanguageBase', dirname(__FILE__) . '/helpers/languages/base.php');
		JLoader::register('Joomlager\\Finder\\Language\\De_DElocalise', dirname(__FILE__) . '/helpers/languages/de-DE.php');
		JLoader::register('Joomlager\\Finder\\Language\\En_GBlocalise', dirname(__FILE__) . '/helpers/languages/en-GB.php');
		JLoader::register('Joomlager\\Finder\\Language\\Nl_NLlocalise', dirname(__FILE__) . '/helpers/languages/nl-NL.php');
		
		//For unknown reasons, the FinderIndexerAdapter class is still loaded from the original component folder. Thus this ugly hack...
		//JLoader::register('FinderIndexerAdapter', dirname(__FILE__) . '/admin/helpers/indexer/adapter.php');
		require_once dirname(__FILE__) . '/admin/helpers/indexer/indexer.php';
		require_once dirname(__FILE__) . '/admin/helpers/indexer/adapter.php';
	}

	public function onContentPrepareForm(JForm $form, $data)
	{
		if ($form->getName() != 'com_config.component')
		{
			return;
		}

		$app = JFactory::getApplication();

		if ($app->input->get('component') != 'com_finder')
		{
			return;
		}

		$form->removeField('stemmer');
	}
}